# Dependencies
node_modules/
.pnp
.pnp.js

# Build output
dist/
.dist/
dist-ssr/
build/
*.local

# Environment variables
.env
.env*
.env.local
.env.development.local
.env.test.local
.env.production.local

# Logs
logs/
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*

# Testing
coverage/

# Vite
.vite/

# TypeScript
*.tsbuildinfo

# Editor directories and files
.vscode/
.idea/
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?
*.swp
*.swo

# OS
.DS_Store
Thumbs.db
